TypeScript
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
organization_slug: '<string>',
test_account_id: '<string>',
live_account_id: '<string>'
})
};
fetch('https://api.useautumn.com/v1/platform/organizations/stripe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.useautumn.com/v1/platform/organizations/stripe"
payload = {
"organization_slug": "<string>",
"test_account_id": "<string>",
"live_account_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)curl -X POST 'https://api.useautumn.com/v1/platform/organizations/stripe' \
-H 'Authorization: Bearer am_sk_test_...' \
-H 'Content-Type: application/json' \
-d '{
"organization_slug": "tenant-org",
"test_account_id": "acct_1234567890",
"live_account_id": "acct_0987654321"
}'
{
"message": "<string>",
"organization": {
"id": "<string>",
"slug": "<string>"
}
}{
"message": "<string>",
"code": "not_found"
}{
"message": "<string>",
"code": "not_found"
}{
"message": "<string>",
"code": "not_found"
}Platform (Beta)
Update Connected Stripe Account
Updates a platform organization’s Stripe Connect configuration. Associates a Stripe account ID with the organization using your master Stripe credentials.
POST
/
platform
/
organizations
/
stripe
TypeScript
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
organization_slug: '<string>',
test_account_id: '<string>',
live_account_id: '<string>'
})
};
fetch('https://api.useautumn.com/v1/platform/organizations/stripe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.useautumn.com/v1/platform/organizations/stripe"
payload = {
"organization_slug": "<string>",
"test_account_id": "<string>",
"live_account_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)curl -X POST 'https://api.useautumn.com/v1/platform/organizations/stripe' \
-H 'Authorization: Bearer am_sk_test_...' \
-H 'Content-Type: application/json' \
-d '{
"organization_slug": "tenant-org",
"test_account_id": "acct_1234567890",
"live_account_id": "acct_0987654321"
}'
{
"message": "<string>",
"organization": {
"id": "<string>",
"slug": "<string>"
}
}{
"message": "<string>",
"code": "not_found"
}{
"message": "<string>",
"code": "not_found"
}{
"message": "<string>",
"code": "not_found"
}Updates a platform organization’s Stripe Connect configuration. Associates a Stripe account ID with the organization using your master Stripe credentials.
When to Use This Endpoint
Use this endpoint when you want to manage Stripe accounts on behalf of your tenants using your own Stripe Connect credentials, rather than having them go through the OAuth flow. This is for platforms that already operate their own Stripe Connect integration. It is not needed for tenants connecting through Autumn’s Stripe OAuth flow, and it cannot grant access to an arbitrary Stripe account just from its ID.Validation
- Authenticate from your backend with your master organization’s Autumn secret key and
platform:writescope. Do not expose that key to tenants. organization_slugmust resolve to an organization created by your authenticated master organization. Other platforms’ organizations cannot be updated.- Your organization must have the corresponding Stripe secret key connected (test/live)
- The endpoint validates that your master Stripe account can access the provided account ID
- If validation fails, you’ll receive a descriptive error message
The
master_org_id is automatically set to your organization ID. All Stripe operations for the tenant will use your master Stripe credentials with the tenant’s account ID.At least one of
test_account_id or live_account_id must be provided in the request.Authorizations
Autumn API key with Bearer prefix
Body
application/json